%global glib2_version 2.73.3

Summary:        Networking support for GLib
Name:           glib-networking
Version:        2.76.1
Release:        2%{?dist}
License:        LGPLv2+
URL:            https://gitlab.gnome.org/GNOME/glib-networking
Source0:        http://download.gnome.org/sources/glib-networking/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc meson
BuildRequires:  ca-certificates gettext systemd-rpm-macros
BuildRequires:  pkgconfig(glib-2.0) >= %{glib2_version} pkgconfig(gio-2.0) 
BuildRequires:  pkgconfig(gnutls) pkgconfig(gsettings-desktop-schemas) pkgconfig(p11-kit-1)

Requires:       glib2 >= %{glib2_version} 
Requires:       ca-certificates gsettings-desktop-schemas

%description
This package contains modules that extend the networking support in
GIO. it contains GnuTLS and OpenSSL-based implementations of GTlsBackend, 
a libproxy-based implementation of GProxyResolver, GLibproxyResolver,
and a GNOME GProxyResolver that uses the proxy information from the GSettings
schemas in gsettings-desktop-schemas.

%package tests
Summary: Tests for the glib-networking package
Requires: glib-networking = %{version}-%{release}

%description tests
The glib-networking-tests package contains tests for checking
the functionality of the installed package.

%prep
%autosetup 

%build
%meson -Dlibproxy=disabled -Dinstalled_tests=true -Denvironment_proxy=enabled 
%meson_build

%install
%meson_install
%find_lang glib-networking

%files -f glib-networking.lang
%license COPYING
%doc NEWS README
%{_libdir}/gio/modules/libgioenvironmentproxy.so
%{_libdir}/gio/modules/libgiognomeproxy.so	
%{_libdir}/gio/modules/libgiognutls.so


%files tests
%{_libexecdir}/installed-tests/glib-networking
%{_datadir}/installed-tests

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.76.1-2
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Aug 29 2023 jackeyji <jackeyji@tencent.com> - 2.76.1-1
- upgrade to 2.76.1

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.72.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.72.1-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Jul 21 2022 Feng Weiyao <wynnfeng@tencent.com> - 2.72.1-1
- package init.
